#pragma once
#include "ChatRoom/Data/CsdkChatRoomInfo.h"
#include "Common/CsdkStringConvert.h"
#include "group/model/group_model.pb.h"
#include "user/model/user_model.pb.h"


namespace CsdkChatRoomTool
{
	heroim::client::v3beta::dto::group::model::GroupKey* MakeGroupKey(const FCsdkChatRoomId& Id);
	
	FCsdkChatRoomInfo ConvertRoomInfo(const heroim::client::v3beta::dto::group::model::Group& PbRoomInfo);

	FCsdkChatRoomInfo ConvertRoomInfo(const TSharedPtr<FJsonObject>& ChatRoomObject);
}
